Update current user
curl --request PATCH \
--url https://dust.tt/api/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"jobType": "<string>",
"imageUrl": "<string>",
"favoritePlatforms": [
"<string>"
],
"emailProvider": "<string>",
"workspaceId": "<string>"
}
'import requests
url = "https://dust.tt/api/user"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"jobType": "<string>",
"imageUrl": "<string>",
"favoritePlatforms": ["<string>"],
"emailProvider": "<string>",
"workspaceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
jobType: '<string>',
imageUrl: '<string>',
favoritePlatforms: ['<string>'],
emailProvider: '<string>',
workspaceId: '<string>'
})
};
fetch('https://dust.tt/api/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Private User
Update current user
Update the authenticated user’s profile (name, job type, favorite platforms, image).
PATCH
/
api
/
user
Update current user
⌘I